# Generated from infopark_component_cache-4.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name infopark_component_cache

Name: rubygem-%{gem_name}
Version: 4.1.0
Release: 1%{?dist}
Summary: Fragment caching with automatic dependency resolution and cache invalidation
License: LGPL-3.0
URL: http://infopark.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry-byebug) >= 3.9
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(rspec-rails) >= 3.5
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(rubocop) >= 0.87.1
# BuildRequires: rubygem(rubocop) < 0.88
# BuildRequires: rubygem(rubocop-performance) >= 1.7
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(rubocop-rspec) >= 1.30
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(sqlite3) >= 1.3.6
BuildArch: noarch

%description
Easy and intelligent fragment caching for RailsConnector projects.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/Gemfile.rails50
%{gem_instdir}/Gemfile.rails50.lock
%{gem_instdir}/Gemfile.rails51
%{gem_instdir}/Gemfile.rails51.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/infopark_component_cache.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 4.1.0-1
- Initial package
